chrome.webNavigation.onBeforeNavigate.addListener(function (details) {
    chrome.storage.local.get(['keywords'], function (result) {
      const keywords = result.keywords || [];
      const url = details.url.toLowerCase();
      const shouldRedirect = keywords.some(keyword => url.includes(keyword.toLowerCase()));
      if (shouldRedirect) {
        chrome.tabs.update(details.tabId, { url: 'https://1688.com' });
      }
    });
  });